---
title: mask-border-width
slug: Web/CSS/mask-border-width
tags:
  - CSS
  - CSS Masking
  - CSS Property
  - Experimental
  - NeedsCompatTable
  - NeedsExample
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>mask-border-width</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the width of an element's <a href="/en-US/docs/Web/CSS/mask-border">mask border</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword value */
mask-border-width: auto;

/* &lt;length&gt; value */
mask-border-width: 1rem;

/* &lt;percentage&gt; value */
mask-border-width: 25%;

/* &lt;number&gt; value */
mask-border-width: 3;

/* vertical | horizontal */
mask-border-width: 2em 3em;

/* top | horizontal | bottom */
mask-border-width: 5% 15% 10%;

/* top | right | bottom | left */
mask-border-width: 5% 2em 10% auto;

/* Global values */
mask-border-width: inherit;
mask-border-width: initial;
mask-border-width: unset;
</pre>

<p>The <code>mask-border-width</code> property may be specified using one, two, three, or four values chosen from the list of values below.</p>

<ul>
 <li>When <strong>one</strong> value is specified, it applies the same width to <strong>all four sides</strong>.</li>
 <li>When <strong>two</strong> values are specified, the first width applies to the <strong>top and bottom</strong>, the second to the <strong>left and right</strong>.</li>
 <li>When <strong>three</strong> values are specified, the first width applies to the <strong>top</strong>, the second to the <strong>left and right</strong>, the third to the <strong>bottom</strong>.</li>
 <li>When <strong>four</strong> values are specified, the widths apply to the <strong>top</strong>, <strong>right</strong>, <strong>bottom</strong>, and <strong>left</strong> in that order (clockwise).</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>&lt;length-percentage&gt;</code></dt>
 <dd>The width of the mask border, specified as a {{cssxref("&lt;length&gt;")}} or a {{cssxref("&lt;percentage&gt;")}}. Percentages are relative to the <em>width</em> of the border area for horizontal offsets and the <em>height</em> of the border area for vertical offsets. Must not be negative.</dd>
 <dt><code>&lt;number&gt;</code></dt>
 <dd>The width of the mask border, specified as a multiple of the corresponding {{cssxref("border-width")}}. Must not be negative.</dd>
 <dt><code>auto</code></dt>
 <dd>The width of the mask border is made equal to the intrinsic width or height (whichever is applicable) of the corresponding {{cssxref("mask-border-slice")}}. If the image does not have the required intrinsic dimension, the corresponding <code>border-width</code> is used instead.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_usage">Basic usage</h3>

<p>This property doesn't appear to be supported anywhere yet. When it eventually starts to be supported, it will serve to define the width of the border mask — setting this to a different value to <code><a href="/en-US/docs/Web/CSS/mask-border-slice">mask-border-slice</a></code> will cause the slices to be scaled to fit the border mask.</p>

<pre class="brush: css notranslate">mask-border-width: 30 fill;</pre>

<p>Chromium-based browsers support an outdated version of this property — <code>mask-box-image-width</code> — with a prefix:</p>

<pre class="brush: css notranslate">-webkit-mask-box-image-width: 20px;</pre>

<div class="notecard note">
<p><strong>Note</strong>: The <code><a href="/en-US/docs/Web/CSS/mask-border">mask-border</a></code> page features a working example (using the out-of-date prefixed border mask properties supported in Chromium), so you can get an idea of the effect.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Masks", "#propdef-mask-border-width", "mask-border-width")}}</td>
   <td>{{Spec2("CSS Masks")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.mask-border-width")}}</p>

<h2 id="See_also">See also</h2>

<ul>
  <li>{{cssxref("mask-border")}}</li>
  <li>{{cssxref("mask-border-mode")}}</li>
  <li>{{cssxref("mask-border-outset")}}</li>
  <li>{{cssxref("mask-border-repeat")}}</li>
  <li>{{cssxref("mask-border-source")}}</li>
</ul>
